PhpMyAdmin имеет ошибки после установки.

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Vlad5503
сержант
Сообщения: 224
Зарегистрирован: 2010-03-25 5:41:41

PhpMyAdmin имеет ошибки после установки.

Непрочитанное сообщение Vlad5503 » 2022-08-04 6:26:27

Ситуация такая.
Установил Freebsd 13.1 далее apache24, Mysql8, wget и потом phpMyAdmin.
И вот после установки последнего получил такие сообщения перед входом в панель Админа. Ну и после входа там эти же ошибки вылазают с вопросом "игнорировать?"
Вот текст этих ошибок:

Код: Выделить всё

Deprecation Notice in ./libraries/classes/Url.php#246
 http_build_query(): Passing null to parameter #2 ($numeric_prefix) of type string is deprecated

Backtrace

./libraries/classes/Url.php#246: http_build_query(
array,
NULL,
string '&',
)
./libraries/classes/Url.php#224: PhpMyAdmin\Url::buildHttpQuery(
array,
boolean true,
)
./libraries/classes/Header.php#231: PhpMyAdmin\Url::getCommonRaw()
./libraries/classes/Header.php#282: PhpMyAdmin\Header->getJsParams()
./libraries/classes/Header.php#214: PhpMyAdmin\Header->getJsParamsCode()
./libraries/classes/Header.php#142: PhpMyAdmin\Header->_addDefaultScripts()
./libraries/classes/Response.php#100: PhpMyAdmin\Header->__construct()
./libraries/classes/Response.php#134: PhpMyAdmin\Response->__construct()
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#599: PhpMyAdmin\Response::getInstance()
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#399: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showFailure(string 'no-activity')
./libraries/classes/Plugins/AuthenticationPlugin.php#241: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->readCredentials()
./libraries/common.inc.php#355: PhpMyAdmin\Plugins\AuthenticationPlugin->authenticate()
./index.php#27: require_once(./libraries/common.inc.php)
Deprecation Notice in ./vendor/twig/twig/src/Loader/FilesystemLoader.php#40
 realpath(): Passing null to parameter #1 ($path) of type string is deprecated

Backtrace

./vendor/twig/twig/src/Loader/FilesystemLoader.php#40: realpath(NULL)
./libraries/classes/Template.php#61: Twig\Loader\FilesystemLoader->__construct(string 'templates/')
./libraries/classes/Template.php#102: PhpMyAdmin\Template->__construct(string 'login/header')
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#111: PhpMyAdmin\Template::get(string 'login/header')
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#605: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showLoginForm()
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#399: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showFailure(string 'no-activity')
./libraries/classes/Plugins/AuthenticationPlugin.php#241: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->readCredentials()
./libraries/common.inc.php#355: PhpMyAdmin\Plugins\AuthenticationPlugin->authenticate()
./index.php#27: require_once(./libraries/common.inc.php)
Deprecation Notice in ./libraries/classes/Url.php#246
 http_build_query(): Passing null to parameter #2 ($numeric_prefix) of type string is deprecated

Backtrace

./libraries/classes/Url.php#246: http_build_query(
array,
NULL,
string '&',
)
./libraries/classes/Url.php#224: PhpMyAdmin\Url::buildHttpQuery(
array,
boolean true,
)
./libraries/classes/Url.php#172: PhpMyAdmin\Url::getCommonRaw(
array,
string '?',
boolean true,
)
./libraries/classes/Core.php#749: PhpMyAdmin\Url::getCommon(array)
./tmp/twig/86/86929c20d52d6a4d120690a8c1a14a91296f90cdce0741469638206a1705690b.php#33: PhpMyAdmin\Core::linkURL(string 'https://www.phpmyadmin.net/')
./vendor/twig/twig/src/Template.php#455: __TwigTemplate_83247730211df97311bb2e288f819af450b9f91aacf30afab573537ba8753312->doDisplay(
array,
array,
)
./vendor/twig/twig/src/Template.php#422: Twig\Template->displayWithErrorHandling(
array,
array,
)
./vendor/twig/twig/src/Template.php#434: Twig\Template->display(array)
./vendor/twig/twig/src/TemplateWrapper.php#47: Twig\Template->render(
array,
array,
)
./libraries/classes/Template.php#133: Twig\TemplateWrapper->render(array)
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#111: PhpMyAdmin\Template->render(array)
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#605: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showLoginForm()
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#399: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showFailure(string 'no-activity')
./libraries/classes/Plugins/AuthenticationPlugin.php#241: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->readCredentials()
./libraries/common.inc.php#355: PhpMyAdmin\Plugins\AuthenticationPlugin->authenticate()
./index.php#27: require_once(./libraries/common.inc.php)
Deprecation Notice in ./vendor/twig/twig/src/Node/Node.php#210
 Return type of Twig\Node\Node::count() should either be compatible with Countable::count(): int, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice

Backtrace

./vendor/composer/ClassLoader.php#571: include(./vendor/twig/twig/src/Node/Node.php)
./vendor/composer/ClassLoader.php#428: Composer\Autoload\includeFile(string '/usr/local/www/phpMyAdmin/vendor/composer/../twig/twig/src/Node/Node.php')
Composer\Autoload\ClassLoader->loadClass(string 'Twig\\Node\\Node')
./vendor/twig/twig/src/TwigFilter.php#128: class_exists(string 'Twig\\Node\\Node')
./vendor/composer/ClassLoader.php#571: include(./vendor/twig/twig/src/TwigFilter.php)
./vendor/composer/ClassLoader.php#428: Composer\Autoload\includeFile(string '/usr/local/www/phpMyAdmin/vendor/composer/../twig/twig/src/TwigFilter.php')
./vendor/twig/twig/src/Extension/CoreExtension.php#168: Composer\Autoload\ClassLoader->loadClass(string 'Twig\\TwigFilter')
./vendor/twig/twig/src/Environment.php#1547: Twig\Extension\CoreExtension->getFilters()
./vendor/twig/twig/src/Environment.php#1534: Twig\Environment->initExtension()
./vendor/twig/twig/src/Environment.php#1320: Twig\Environment->initExtensions()
./tmp/twig/86/86929c20d52d6a4d120690a8c1a14a91296f90cdce0741469638206a1705690b.php#48: Twig\Environment->getFunction(string 'Message_error')
./vendor/twig/twig/src/Template.php#455: __TwigTemplate_83247730211df97311bb2e288f819af450b9f91aacf30afab573537ba8753312->doDisplay(
array,
array,
)
./vendor/twig/twig/src/Template.php#422: Twig\Template->displayWithErrorHandling(
array,
array,
)
./vendor/twig/twig/src/Template.php#434: Twig\Template->display(array)
./vendor/twig/twig/src/TemplateWrapper.php#47: Twig\Template->render(
array,
array,
)
./libraries/classes/Template.php#133: Twig\TemplateWrapper->render(array)
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#111: PhpMyAdmin\Template->render(array)
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#605: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showLoginForm()
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#399: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showFailure(string 'no-activity')
./libraries/classes/Plugins/AuthenticationPlugin.php#241: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->readCredentials()
./libraries/common.inc.php#355: PhpMyAdmin\Plugins\AuthenticationPlugin->authenticate()
./index.php#27: require_once(./libraries/common.inc.php)
Deprecation Notice in ./vendor/twig/twig/src/Node/Node.php#215
 Return type of Twig\Node\Node::getIterator() should either be compatible with IteratorAggregate::getIterator(): Traversable, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice

Backtrace

./vendor/composer/ClassLoader.php#571: include(./vendor/twig/twig/src/Node/Node.php)
./vendor/composer/ClassLoader.php#428: Composer\Autoload\includeFile(string '/usr/local/www/phpMyAdmin/vendor/composer/../twig/twig/src/Node/Node.php')
Composer\Autoload\ClassLoader->loadClass(string 'Twig\\Node\\Node')
./vendor/twig/twig/src/TwigFilter.php#128: class_exists(string 'Twig\\Node\\Node')
./vendor/composer/ClassLoader.php#571: include(./vendor/twig/twig/src/TwigFilter.php)
./vendor/composer/ClassLoader.php#428: Composer\Autoload\includeFile(string '/usr/local/www/phpMyAdmin/vendor/composer/../twig/twig/src/TwigFilter.php')
./vendor/twig/twig/src/Extension/CoreExtension.php#168: Composer\Autoload\ClassLoader->loadClass(string 'Twig\\TwigFilter')
./vendor/twig/twig/src/Environment.php#1547: Twig\Extension\CoreExtension->getFilters()
./vendor/twig/twig/src/Environment.php#1534: Twig\Environment->initExtension()
./vendor/twig/twig/src/Environment.php#1320: Twig\Environment->initExtensions()
./tmp/twig/86/86929c20d52d6a4d120690a8c1a14a91296f90cdce0741469638206a1705690b.php#48: Twig\Environment->getFunction(string 'Message_error')
./vendor/twig/twig/src/Template.php#455: __TwigTemplate_83247730211df97311bb2e288f819af450b9f91aacf30afab573537ba8753312->doDisplay(
array,
array,
)
./vendor/twig/twig/src/Template.php#422: Twig\Template->displayWithErrorHandling(
array,
array,
)
./vendor/twig/twig/src/Template.php#434: Twig\Template->display(array)
./vendor/twig/twig/src/TemplateWrapper.php#47: Twig\Template->render(
array,
array,
)
./libraries/classes/Template.php#133: Twig\TemplateWrapper->render(array)
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#111: PhpMyAdmin\Template->render(array)
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#605: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showLoginForm()
./libraries/classes/Plugins/Auth/AuthenticationCookie.php#399: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->showFailure(string 'no-activity')
./libraries/classes/Plugins/AuthenticationPlugin.php#241: PhpMyAdmin\Plugins\Auth\AuthenticationCookie->readCredentials()
./libraries/common.inc.php#355: PhpMyAdmin\Plugins\AuthenticationPlugin->authenticate()
./index.php#27: require_once(./libraries/common.inc.php)
Deprecation Notice in ./libraries/classes/Url.php#246
 http_build_query(): Passing null to parameter #2 ($numeric_prefix) of type string is deprecated

Backtrace

./libraries/classes/Url.php#246: http_build_query(
array,
NULL,
string '&',
)
./libraries/classes/Url.php#224: PhpMyAdmin\Url::buildHttpQuery(
array,
boolean true,
)
./libraries/classes/Header.php#231: PhpMyAdmin\Url::getCommonRaw()
./libraries/classes/Response.php#371: PhpMyAdmin\Header->getJsParams()
./libraries/classes/Response.php#436: PhpMyAdmin\Response->_ajaxResponse()
PhpMyAdmin\Response->response()
Deprecation Notice in ./libraries/classes/Url.php#246
 http_build_query(): Passing null to parameter #2 ($numeric_prefix) of type string is deprecated

Backtrace

./libraries/classes/Url.php#246: http_build_query(
array,
NULL,
string '&',
)
./libraries/classes/Url.php#224: PhpMyAdmin\Url::buildHttpQuery(
array,
boolean true,
)
./libraries/classes/Header.php#231: PhpMyAdmin\Url::getCommonRaw()
./libraries/classes/Header.php#282: PhpMyAdmin\Header->getJsParams()
./libraries/classes/Header.php#214: PhpMyAdmin\Header->getJsParamsCode()
./libraries/classes/Header.php#142: PhpMyAdmin\Header->_addDefaultScripts()
./libraries/classes/Response.php#100: PhpMyAdmin\Header->__construct()
./libraries/classes/Response.php#134: PhpMyAdmin\Response->__construct()
./libraries/common.inc.php#434: PhpMyAdmin\Response::getInstance()
./version_check.php#15: require_once(./libraries/common.inc.php)
Подскажите направление поиска решения проблемы... :oops:

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Vlad5503
сержант
Сообщения: 224
Зарегистрирован: 2010-03-25 5:41:41

PhpMyAdmin имеет ошибки после установки.

Непрочитанное сообщение Vlad5503 » 2022-08-04 6:34:11

Поправка текста:
"....далее apache24, Mysql8, wget, PHP82 и потом phpMyAdmin.

Vlad5503
сержант
Сообщения: 224
Зарегистрирован: 2010-03-25 5:41:41

PhpMyAdmin имеет ошибки после установки.

Непрочитанное сообщение Vlad5503 » 2022-08-04 6:37:17

В процессе поиска увидел, что у PHP82 нет json, а у версии 74 есть -

Код: Выделить всё

# pkg search json | grep php
php74-json-7.4.30              The json shared extension for php
php74-pear-Services_JSON-1.0.3 PHP implementation of json_encode/decode
php74-pecl-json_post-1.1.0     JSON POST handler in PHP
php74-pecl-jsond-1.4.0         JavaScript Object Notation in PHP
php80-pear-Services_JSON-1.0.3 PHP implementation of json_encode/decode
php80-pecl-json_post-1.1.0     JSON POST handler in PHP
php81-pear-Services_JSON-1.0.3 PHP implementation of json_encode/decode
php81-pecl-json_post-1.1.0     JSON POST handler in PHP
php82-pecl-json_post-1.1.0     JSON POST handler in PHP
Вот ещё заморочка...)
Может кто подскажет.. применимо php82-pecl-json_post-1.1.0 для работы сайта(ов), где используется json &

guest
проходил мимо

PhpMyAdmin имеет ошибки после установки.

Непрочитанное сообщение guest » 2022-08-04 13:55:44

В процессе поиска увидел, что у PHP82 нет json, а у версии 74 есть
json и еще часть модулей, включены в основной дистрибутив начиная с php 8.0
см php.conf, php.ini ...